libzypp: zypp::sat::FileConflicts Class Reference

libzypp 17.36.6

Classes | Public Types | Public Member Functions | Static Private Attributes | Friends | Related Symbols | List of all members
zypp::sat::FileConflicts Class Reference

Libsolv queue representing file conflicts. More...

`#include <zypp/sat/FileConflicts.h>`

Inheritance diagram for zypp::sat::FileConflicts:

## Classes
class | Conflict
| A file conflict. More...

## Public Types
using | value_type = Conflict
using | const_iterator = const value_type *
using | size_type

## Public Member Functions
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
bool | empty () const

## Static Private Attributes
static constexpr size_type | queueBlockSize = 6

## Friends
bool | operator== (const FileConflicts &lhs, const FileConflicts &rhs)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const FileConflicts &obj) ZYPP_API
| Stream output.
std::ostream & | operator<< (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| Stream output.
std::ostream & | dumpAsXmlOn (std::ostream &str, const FileConflicts &obj) ZYPP_API
| XML output.
std::ostream & | dumpAsXmlOn (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| XML output.
bool | operator== (const FileConflicts &lhs, const FileConflicts &rhs)
bool | operator!= (const FileConflicts &lhs, const FileConflicts &rhs)
Related Symbols inherited from zypp::sat::Queue
std::ostream & | operator<< (std::ostream &str, const Queue &obj) ZYPP_API
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const Queue &obj) ZYPP_API
| Stream output assuming a Solvable queue.
bool | operator== (const Queue &lhs, const Queue &rhs) ZYPP_API
bool | operator!= (const Queue &lhs, const Queue &rhs)

## Additional Inherited Members
Private Types inherited from zypp::sat::Queue
using | size_type = unsigned int
using | value_type = detail::IdType
using | const_iterator = const value_type *
Private Member Functions inherited from zypp::sat::Queue
| Queue ()
| Default ctor: empty Queue.
| ~Queue ()
| Dtor.
bool | empty () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
const_iterator | find (value_type val_r) const
| Return iterator to the 1st occurance of val_r or end.
bool | contains (value_type val_r) const
| Return whether the Queue contais at lest one element with value val_r.
value_type | first () const
| Return the 1st Id in the queue or `0` if empty.
value_type | last () const
| Return the last Id in the queue or `0` if empty.
const value_type & | at (size_type idx_r) const
| Return the Id at idx_r in the queue.
value_type & | at (size_type idx_r)
| Return the Id at idx_r in the queue.
const value_type & | operator[] (size_type idx_r) const
| Return the Id at idx_r in the queue (no range check)
value_type & | operator[] (size_type idx_r)
| Return the Id at idx_r in the queue (no range check)
void | clear ()
| Clear the queue.
void | remove (value_type val_r)
| Remove all occurances of val_r from the queue.
void | push (value_type val_r)
| Push a value to the end off the Queue.
void | push_back (value_type val_r)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | pushUnique (value_type val_r)
| Push a value if it's not yet in the Queue.
value_type | pop ()
| Pop and return the last Id from the queue or `0` if empty.
value_type | pop_back ()
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
void | push_front (value_type val_r)
| Push a value to the beginning off the Queue.
value_type | pop_front ()
| Pop and return the 1st Id from the queue or `0` if empty.
| operator detail::CQueue * ()
| libsolv backdoor
| operator const detail::CQueue * () const
| < libsolv backdoor

## Detailed Description

Libsolv queue representing file conflicts.

Definition at line 30 of file FileConflicts.h.

## Member Typedef Documentation

## ◆ value_type

using zypp::sat::FileConflicts::value_type = Conflict

Definition at line 59 of file FileConflicts.h.

## ◆ const_iterator

using zypp::sat::FileConflicts::const_iterator = const value_type *

Definition at line 60 of file FileConflicts.h.

## ◆ size_type

using zypp::sat::Queue::size_type

Definition at line 38 of file Queue.h.

## Member Function Documentation

## ◆ size()

size_type zypp::sat::FileConflicts::size | ( |  | ) | const
| inline

Definition at line 63 of file FileConflicts.h.

## ◆ begin()

const_iterator zypp::sat::FileConflicts::begin | ( |  | ) | const
| inline

Definition at line 64 of file FileConflicts.h.

## ◆ end()

const_iterator zypp::sat::FileConflicts::end | ( |  | ) | const
| inline

Definition at line 65 of file FileConflicts.h.

## ◆ empty()

bool zypp::sat::Queue::empty | ( |  | ) | const

Definition at line 49 of file Queue.cc.

## Friends And Related Symbol Documentation

## ◆ operator== [1/2]

bool operator== | ( | const FileConflicts & | lhs,
|  | const FileConflicts & | rhs )
| friend

## ◆ operator<<() [1/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const FileConflicts & | obj )
| related

Stream output.

Definition at line 109 of file FileConflicts.cc.

## ◆ dumpAsXmlOn() [1/2]

std::ostream & dumpAsXmlOn | ( | std::ostream & | str,
|  | const FileConflicts & | obj )
| related

XML output.

Definition at line 132 of file FileConflicts.cc.

## ◆ operator==() [2/2]

bool operator== | ( | const FileConflicts & | lhs,
|  | const FileConflicts & | rhs )
| related

Definition at line 85 of file FileConflicts.h.

## ◆ operator!=()

bool operator!= | ( | const FileConflicts & | lhs,
|  | const FileConflicts & | rhs )
| related

Definition at line 89 of file FileConflicts.h.

## Member Data Documentation

## ◆ queueBlockSize

size_type zypp::sat::FileConflicts::queueBlockSize = 6
| staticconstexprprivate

Definition at line 33 of file FileConflicts.h.

The documentation for this class was generated from the following file:

- zypp/sat/FileConflicts.h